<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.StaffWorksMapper">
  <resultMap id="BaseResultMap" type="com.ssm.manage.entity.StaffWorks">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="staff_id" jdbcType="BIGINT" property="staffId" />
    <result column="staff_name" jdbcType="VARCHAR" property="staffName" />
    <result column="mobile_phone" jdbcType="VARCHAR" property="mobilePhone" />
    <result column="work_date" jdbcType="TIMESTAMP" property="workDate" />
    <result column="picture_file" jdbcType="VARCHAR" property="pictureFile" />
    <result column="picture_file_path" jdbcType="VARCHAR" property="pictureFilePath" />
    <result column="upload_time" jdbcType="TIMESTAMP" property="uploadTime" />
    <result column="upload_user" jdbcType="VARCHAR" property="uploadUser" />
    <result column="upload_telephone" jdbcType="VARCHAR" property="uploadTelephone" />
    <result column="name" jdbcType="VARCHAR" property="name" />
    <result column="praise_num" jdbcType="INTEGER" property="praiseNum" />
    <result column="description" jdbcType="LONGVARCHAR" property="description" />
  </resultMap>
</mapper>